Debian Bug report logs - #459037
imms: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti

version graph

Package: imms; Maintainer for imms is Artur R. Czechowski <arturcz@hell.pl>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 4 Jan 2008 09:51:34 UTC

Severity: serious

Tags: lenny, sid

Found in version imms/3.0.2-1

Fixed in version imms/3.0.2-1.1

Done: Ana Guerrero <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Norbert Veber <nveber@debian.org>:
Bug#459037; Package imms. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Norbert Veber <nveber@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: imms: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
Date: Fri, 4 Jan 2008 10:33:24 +0100
Package: imms
version: 3.0.2-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080103 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > /usr/include/c++/4.2/bits/locale_facets.tcc:94: error: 'dynamic_cast' not permitted with -fno-rtti
 > /usr/include/c++/4.2/bits/locale_facets.tcc: In function 'const _Facet& std::use_facet(const std::locale&) [with _Facet = std::num_get<char, std::istreambuf_iterator<char, std::char_traits<char> > >]':
 > /usr/include/c++/4.2/bits/basic_ios.tcc:184:   instantiated from 'void std::basic_ios<_CharT, _Traits>::_M_cache_locale(const std::locale&) [with _CharT = char, _Traits = std::char_traits<char>]'
 > /usr/include/c++/4.2/bits/basic_ios.tcc:146:   instantiated from 'void std::basic_ios<_CharT, _Traits>::init(std::basic_streambuf<_CharT, _Traits>*) [with _CharT = char, _Traits = std::char_traits<char>]'
 > /usr/include/c++/4.2/sstream:414:   instantiated from 'std::basic_ostringstream<_CharT, _Traits, _Alloc>::basic_ostringstream(std::_Ios_Openmode) [with _CharT = char, _Traits = std::char_traits<char>, _Alloc = std::allocator<char>]'
 > ../immscore/strmanip.h:42:   instantiated from here
 > /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
 > /usr/include/c++/4.2/bits/locale_facets.tcc: In function 'const _Facet& std::use_facet(const std::locale&) [with _Facet = std::numpunct<char>]':
 > /usr/include/c++/4.2/bits/locale_facets.tcc:193:   instantiated from 'void std::__numpunct_cache<_CharT>::_M_cache(const std::locale&) [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:146:   instantiated from 'const std::__numpunct_cache<_CharT>* std::__use_cache<std::__numpunct_cache<_CharT> >::operator()(const std::locale&) const [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:740:   instantiated from '_InIter std::num_get<_CharT, _InIter>::do_get(_InIter, _InIter, std::ios_base&, std::_Ios_Iostate&, bool&) const [with _CharT = char, _InIter = std::istreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/locale_facets.h:1981:   instantiated from '_InIter std::num_get<_CharT, _InIter>::get(_InIter, _InIter, std::ios_base&, std::_Ios_Iostate&, bool&) const [with _CharT = char, _InIter = std::istreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/istream.tcc:102:   instantiated from 'std::basic_istream<_CharT, _Traits>& std::basic_istream<_CharT, _Traits>::_M_extract(_ValueT&) [with _ValueT = bool, _CharT = char, _Traits = std::char_traits<char>]'
 > /usr/include/c++/4.2/istream:179:   instantiated from 'std::basic_istream<_CharT, _Traits>& std::basic_istream<_CharT, _Traits>::operator>>(bool&) [with _CharT = char, _Traits = std::char_traits<char>]'
 > ../immsd/immsd.cc:153:   instantiated from here
 > /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
 > make[2]: *** [immsd.o] Error 1
 > make[1]: *** [all] Error 2
 > make[1]: Leaving directory `/build/user/imms-3.0.2'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/03

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Veber <nveber@debian.org>:
Bug#459037; Package imms. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Veber <nveber@debian.org>. Full text and rfc822 format available.

Message #10 received at 459037@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459037@bugs.debian.org
Subject: imms: diff for NMU version 3.0.2-1.1
Date: Sun, 13 Jan 2008 11:52:58 +0100
[Message part 1 (text/plain, inline)]
tags 459028 + patch
thanks

Hi,

Attached is the diff for my imms 3.0.2-1.1 NMU.
It closed the wrong bug by mistake... fixing it now.
[imms-3.0.2-1.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Veber <nveber@debian.org>:
Bug#459037; Package imms. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Veber <nveber@debian.org>. Full text and rfc822 format available.

Message #15 received at 459037@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459037@bugs.debian.org
Subject: [ana@debian.org: Bug#459028: fixed in imms 3.0.2-1.1]
Date: Sun, 13 Jan 2008 13:33:22 +0100
----- Forwarded message from Ana Beatriz Guerrero Lopez <ana@debian.org> -----

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 459028-close@bugs.debian.org
Date: Sun, 13 Jan 2008 11:17:07 +0000
Subject: Bug#459028: fixed in imms 3.0.2-1.1

Source: imms
Source-Version: 3.0.2-1.1

We believe that the bug you reported is fixed in the latest version of
imms, which is due to be installed in the Debian FTP archive:

imms_3.0.2-1.1.diff.gz
  to pool/main/i/imms/imms_3.0.2-1.1.diff.gz
imms_3.0.2-1.1.dsc
  to pool/main/i/imms/imms_3.0.2-1.1.dsc
imms_3.0.2-1.1_i386.deb
  to pool/main/i/imms/imms_3.0.2-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459028@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated imms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 11:51:52 +0100
Source: imms
Binary: imms
Architecture: source i386
Version: 3.0.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Norbert Veber <nveber@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 imms       - Unobtrusive, automatic, and learning XMMS playlist manager
Closes: 459028
Changes: 
 imms (3.0.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug.
   * Build without -fno-rtti. (Closes: #459028)
   * Add quilt patching system to manage patch.
Files: 
 e4e2b1201f1237addc2f7c25a4afc7ec 794 utils optional imms_3.0.2-1.1.dsc
 9c1122cc62f733ffa507580cd2fcd5eb 46542 utils optional imms_3.0.2-1.1.diff.gz
 bdbecb0a38d5c9fc375d0bdf46a8d3b1 445990 utils optional imms_3.0.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHie8Mn3j4POjENGERAj5GAKCCoVdatlOkYL+IPEYHZEE7FHc9EgCfWg62
aC1/FVVguVPzmpbunlSb+5U=
=aDcz
-----END PGP SIGNATURE-----



----- End forwarded message -----




Reply sent to Ana Guerrero <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 459037-done@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459037-done@bugs.debian.org
Subject: fixed in imms 3.0.2-1.1
Date: Sun, 13 Jan 2008 13:33:56 +0100
Source: imms
Source-Version: 3.0.2-1.1




Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Veber <nveber@debian.org>:
Bug#459037; Package imms. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Norbert Veber <nveber@debian.org>. Full text and rfc822 format available.

Message #25 received at 459037@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: control@bugs.debian.org
Cc: 459037@bugs.debian.org
Subject: tagging 459037
Date: Fri, 25 Jan 2008 23:46:55 +0100
# Automatically generated email from bts, devscripts version 2.10.11
# not reproducible on stable
tags 459037 + sid lenny





Tags added: sid, lenny Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:48:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:03:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:44:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.